Description

In my company I had a request to found a plugin for redmine in order to solve a problem like this one : 

http://www.redmine.org/boards/2/topics/3824 (assign a few members (from a group) automatically to projects when they are created)

For this purpose I created a plugin in order add default members from a default group with default roles(specified in plugin settings)

History

#1 - 2012-04-14 22:09 - Terence Mill

+1

#2 - 2012-04-14 22:10 - Terence Mill

please add to plugin list

#3 - 2012-04-14 23:37 - Jean-Philippe Lang

I think you don't need this hook in the controller since you do not use any parameters. You could just add a standard after_create callback on the

Project model to automatically add some members.

#4 - 2012-04-15 00:17 - Hannes Meier

+1

thought about doing this with the rest api but this would be great as a integrated feature

#5 - 2012-04-17 18:56 - Sajin Andrei

- Status changed from New to Resolved

#6 - 2012-04-17 18:59 - Sajin Andrei

Done http://www.redmine.org/plugins/default_members

Terence Mill wrote:

please add to plugin list

#7 - 2013-05-02 00:52 - Jean-Baptiste Barth

- Status changed from Resolved to Closed

Closing this as the plugin seems to answer the problem. Fyi #5605 was mentionning a similar feature (inherit members in sub-projects) and has been

integratedin Redmine 2.3.x.

Files

hook_controller_projects_new_after_save-r9299.patch 650 Bytes 2012-04-02 Sajin Andrei

redmine_default_members_v1.2.zip 13.2 KB 2012-04-02 Sajin Andrei
